# List admin users

Endpoint: GET /adminusers
Version: 1.0.445.36017
Security: OAuth2

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.
    Enum: "ID", "Username", "LastName", "FirstName", "Email"

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.
    Enum: "LastName", "FirstName", "Username", "ID", "Email", "DateCreated", "LastActive", "PasswordLastSetDate", "!LastName", "!FirstName", "!Username", "!ID", "!Email", "!DateCreated", "!LastActive", "!PasswordLastSetDate"

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)
    Example: [{"FailedLoginAttempts":0,"ID":"","CompanyID":"","Username":"","Password":"","FirstName":"","LastName":"","Email":"","Phone":"","TermsAccepted":"2018-01-01T00:00:00-06:00","Active":false,"xp":{},"AvailableRoles":[""],"Locale":{"ID":"","OwnerID":"","Currency":"","Language":""},"DateCreated":"2018-01-01T00:00:00-06:00","LastActive":"2018-01-01T00:00:00-06:00","PasswordLastSetDate":"2018-01-01T00:00:00-06:00"}]

  - `Items.FailedLoginAttempts` (integer)
    Number of times the user failed authentication due to incorrect password since last successful attempt, or since being unlocked.

  - `Items.ID` (string)

  - `Items.CompanyID` (string)

  - `Items.Username` (string)
    Must be unique across all organizations.

  - `Items.Password` (string)

  - `Items.FirstName` (string)

  - `Items.LastName` (string)

  - `Items.Email` (string)

  - `Items.Phone` (string)

  - `Items.TermsAccepted` (string)
    Example: "2018-01-01T00:00:00-06:00"

  - `Items.Active` (boolean)
    If false, authentication is prohibited.

  - `Items.xp` (object)
    Example: {}

  - `Items.AvailableRoles` (array)
    List of roles currently available to the user via all security profile assignments.
    Example: [""]

  - `Items.Locale` (object)
    Most specific locale assigned to the user, if any.
    Example: {"ID":"","OwnerID":"","Currency":"","Language":""}

  - `Items.Locale.ID` (string)

  - `Items.Locale.OwnerID` (string)
    ID of the organization that owns the Locale. Only the marketplace owner can override the OwnerID on create.

  - `Items.Locale.Currency` (string)
    We recommend using ISO-4217 currency codes for compatibility with tax and payment processors.

  - `Items.Locale.Language` (string)
    We recommend using ISO-639 language code - ISO-3166 Country code (e.g. en-US).

  - `Items.DateCreated` (string)
    Example: "2018-01-01T00:00:00-06:00"

  - `Items.LastActive` (string)
    Accurate within a few minutes. Includes impersonation activity.
    Example: "2018-01-01T00:00:00-06:00"

  - `Items.PasswordLastSetDate` (string)
    Can be used in conjunction with SecurityProfile.PasswordConfig to enforce password reset schedules.
    Example: "2018-01-01T00:00:00-06:00"

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: "404"

  - `ErrorCode` (string)
    Example: "NotFoundError"

  - `Message` (string)
    Example: "Object not found"

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}


